#!/usr/bin/env python

''' wmgmail settings

Setup config file for wmgmail.

Copyright (C) 2004 Pasi Savolainen <pasi.savolainen@iki.fi>

Licensed under the GNU General Public License.

'''
import ConfigParser
import os

DEF_CONFIG = { 'username': 'nobody',
               'password': '',
               'check_interval': 5,
               'browser_command': 'mozilla-firefox %s'}

def getwmgmailsettings(fname):
    config = ConfigParser.ConfigParser(DEF_CONFIG)
    config.read(fname)
    return config.defaults();

def setwmgmailsettings(fname, settings):
    config = ConfigParser.ConfigParser(settings)
    config.write(open(fname,'w'));

def get_settingsfname():
    """ Get filename of local user settings file
    """
    return os.path.expanduser('~/.wmgmailrc')


def get_data_dir():
    """ Get directory that contains our data. most often /usr/share/wmgmail
    """
    if os.environ.has_key('WMGMAIL_DATA'):
        return os.environ['WMGMAIL_DATA']
    
    return os.path.join('/usr','share','wmgmail');

def get_glade_fname():
    return get_data_fname('wmgmail.glade', 'WMGMAIL_GLADE')


def get_data_fname(fname, over_env = None):
    """ Return data fname with possible ENV override.
    """
    if os.environ.has_key(over_env):
        return os.environ(over_env)
    
    return os.path.join(get_data_dir(), fname);
